Subject: Re: [nl80211] 584f2e43bb: hwsim.ap_country.fail

From: Lee Jones <[email-masked]>
Date: Tue, 12 Apr 2022 11:23:20 +0100

On Mon, 11 Apr 2022, Johannes Berg wrote:

> On Mon, 2022-04-11 at 10:25 +0100, Lee Jones wrote:
> > So what exactly happened here?  What does this failure tell us?
> 
> Probably nothing.
> 
> > Is the LKP test broken or did I overlook something in the kernel
> > patch?
> 
> I think the test is just randomly fluking out.
> 
> > How does LKP make use of NL80211_ATTR_REG_ALPHA2?
> > 
> > I'm struggling to find any mention of 'hostapd.py' or 'ap_country' in
> > LKP [0].  Are these benchmarks bespoke add-ons? 
> > 
> 
> it's running the tests from hostap:
> https://w1.fi/cgit/hostap/tree/tests/hwsim
> 
> Anyway, I think we'd better fix the issue like this:
> 
> -       [NL80211_ATTR_REG_ALPHA2] = { .type = NLA_STRING, .len = 2 },
> +       /* allow 3 for NUL-termination, we used to declare this NLA_STRING */
> +       [NL80211_ATTR_REG_ALPHA2] = NLA_POLICY_RANGE(NLA_BINARY, 2, 3),
> 
> 
> What do you think?

I'm not entirely sure of the semantics, but so long as it ensures the
user declares enough space to hold both Bytes of data, I'd be happy.

-- 
Lee Jones [李琼斯]
Principal Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog